---
name: "Feature Request"
about: "Give us suggestions of features we could add to Terra."
title: "[Feature] <Put your title here>"
labels: "Type: Enhancement, Status: Pending"
assignees: ""

---

<!--
########################################################################################
## WARNING!                                                                           ##
## IGNORING THE FOLLOWING TEMPLATE WILL RESULT IN YOUR FEATURE REQUEST BEING CLOSED   ##
########################################################################################
-->

### Pre-Request Checklist

<!--
  Please go through this checklist item by item and make sure you have successfully completed each of these steps.
    - You must be on the LATEST version of Terra to make sure your feature hasn't been added yet.
    - Make sure that there are no already existing feature requests similar to yours. (Including closed!) If you open a duplicate, it will be closed as such.
    - Make sure that this is actually in the scope of Terra.
    - Make sure that this is not a feature request that should be made for a specific Terra *pack*, and instead applies to all of Terra.
    - Make sure that you attach a copy of the latest.log file, if there are any exceptions thrown in the console.
      Putting *just* the exception IS NOT ENOUGH. We need to be able to check that there wasn't anything else before that caused it.
    
    You must put an x in all the boxes you have completed. (Like this: [x])
    
    To make sure that your issue is rendered properly, you may check the "Preview" tab (below the title) to see a rendered version of it before you submit it.
-->

- [ ] I have checked that I am on the latest version of Terra.
- [ ] I have searched github for similar features requests, including closed
  ones, and found none.
- [ ] I believe this is within the scope of Terra.
- [ ] This feature request is for *all* of Terra, and isn't something that
  should be implemented by a pack or addon.

## Feature Description

<!--
    Quickly describe the basics of your feature request.
    Example: 'More noise presets should be added to Terra.'
-->

### What Problem Does This Solve?

<!--
    Describe here what the issue is that you have.
    Examples: 'When I do _______, it annoys me that _______ does _______.' or 'There is not enough customization in _______ to do _______.'
    NOTE: This should NOT be used for a bug report. If this is unintentional, then please submit a bug report instead.
-->

### A Solution You'd Like

<!-- Provide a clear and accurate description of how you would like this to be solved. -->

### Alternative Solutions

<!-- Provide a description of alternatives you have considered to this. -->

1. <!-- Alternative #1. -->
2. <!-- Alternative #2. -->
3. <!-- Alternative #3. -->

### Additonal Context

<!--
    Is there any additional context you would like to add?
    If not, you may remove this section.
-->