# Terra Community Code of Conduct

# TL;DR

Polyhedral Development is dedicated to providing a harassment-free experience
for everyone, regardless of gender, gender identity and expression, preferred
pronouns, sexual orientation, disability, physical appearance, age, race,
religion, etc. We do not tolerate harassment of participants in any form.

This code of conduct applies to all Terra community spaces, including the github
discussions tab, our [community discord server](https://discord.gg/PXUEbbF),
the [community subreddit](https://reddit.com/r/TerraGenerator), or any other
Terra space, both online and off. Anyone in violation of this code, as
determined by the applicable moderators, may be subject to verbal warning,
expulsion from these spaces, or future events and activities for an undetermined
amount of time.

Some Terra community spaces may have additional rules in place, which will be
made clearly available to all participants. Participants are responsible for
knowing and abiding by these rules.

# Longer version

Polyhedral Development is dedicated to providing a harassment-free experience
for everyone. We do not tolerate harassment of participants in any form.

## When and How to Use These Guidelines

This code of conduct applies to all Terra community spaces, both online and off.
This applies to the github discussion tab, the
[Polyhedral Development community discord server](https://discord.gg/PXUEbbF),
and any other Terra community. In addition, we may choose to invoke them in
instances of harassment outside the Terra communities, and we will punish the
responsible individuals appropriately. We will not tolerate harassment in any
form, even outside of Terra.

Some Terra spaces may have additional rules in place, which will be made clearly
available to participants. Participants are responsible for knowing and abiding
by these rules, in addition to this code of conduct.

## Expected Behavior

The following behaviors are expected of all members of the Terra community:

### Be Respectful

Value each other's ideas, styles and viewpoints. We may not always agree, but
disagreement is no excuse for poor manners. Be open to different possibilities
and to being wrong. Be respectful in all interactions and communications,
especially when debating the merits of different options. Be aware of your
impact and how intense interactions may be affecting people. Be direct,
constructive and positive. Take responsibility for your impact, and your
mistakes – if someone says they have been harmed through your words or actions,
listen carefully, apologize sincerely, and correct the behavior going forward.

#### Be Prepared to Admit When You are Wrong

Any member of the Terra community should always be open to new ideas and must
always be open to the possibility of being wrong. Nobody can always be right,
and we are only human; we are
[fallible](https://www.merriam-webster.com/dictionary/fallible) by nature. It is
okay to make mistakes, but we must be willing to admit when we make one.

### Be Direct but Professional

We are likely to have some discussions about if and when criticism is respectful
and when it's not. We must be able to speak directly when we disagree and when
we think we need to improve. We cannot withhold hard truths. Doing so
respectfully is hard, doing so when others don't seem to be listening is harder,
and hearing such comments when one is the recipient can be even harder still. We
need to be honest and direct, as well as respectful.

### Be Inclusive

Seek diverse perspectives. Diversity of views and of people on teams powers
innovation, even if it is not always comfortable. Encourage all voices. Help new
perspectives be heard and listen actively. If you find yourself dominating a
discussion, it is especially important to step back and encourage other voices
to join in. Be aware of how much time is taken up by dominant members of the
group. Provide alternative ways to contribute or participate when possible.

Be inclusive of everyone in an interaction, respecting and facilitating people's
participation whether they are:

- Not native language speakers
- Coming from a different culture
- Using pronouns other than "he", "she", or "they"
- Living in a different time zone
- Facing other challenges to participate
- Or anything else. Be respectful of *everyone* at *all times*.

Think about how you might facilitate alternative ways to contribute or
participate. If you find yourself dominating a discussion, step back. Make way
for other voices and listen actively to them.

### Understand Different Perspectives

Our goal should not be to "win" every disagreement or argument. A more
productive goal is to be open to ideas that make our own ideas better. Strive to
be an example for inclusive thinking. "Winning" is when different perspectives
make our work richer and stronger. That means, you must pay attention to all
ideas proposed. Don't disregard one without giving it the attention it deserves.

### Appreciate and Accommodate Our Similarities and Differences

People come from many cultures and backgrounds. Cultural differences can
encompass everything from official religious observances to personal habits to
clothing. Be respectful of anyone with different cultural practices, attitudes
and beliefs. Work to eliminate your own biases, prejudices and discriminatory
practices. Think of others' needs from their point of view. Use preferred
titles (including pronouns<sup>[\[1\]](#1)</sup>) and the appropriate tone of
voice. Respect people's right to privacy and confidentiality. Be open to
learning from and educating others as well as educating yourself; it is
unrealistic to expect someone to know the cultural practices of every ethnic and
cultural group. Therefore we must be ready to correct someone if they make a
mistake, and must be ready ourselves to change and learn if we make a mistake.

### Lead by Example

By matching your actions with your words, you become a person others want to
follow. Your actions influence others to behave and respond in ways that are
valuable and appropriate for our organizational outcomes. Design your community
and your work for inclusion. Hold yourself and others accountable for inclusive
behaviors.

## Behavior That Will Not Be Tolerated

The following behaviors are considered to be unacceptable and will not be
tolerated:

### Violence and Threats of Violence

Violence and threats of violence are not acceptable - online or offline. This
includes incitement of violence toward any individual, including encouraging a
person to commit self-harm, engage in self-harm, or put themselves in a negative
position (e.g. one which can lead to an increase of depression, etc.).

### Personal Attacks

Conflicts will inevitably arise, but frustration should never turn into a
personal attack. It is not okay to insult, demean or belittle others. Attacking
someone for their opinions, beliefs and ideas is not acceptable. It is important
to speak directly when we disagree and when we think we need to improve, but
such discussions must be conducted respectfully and professionally, remaining
focused on the issue at hand.

### Derogatory Language

Offensive, unwelcome, or hurtful comments related to:

- Gender
- Gender identity or expression
- Preferred pronouns<sup>[\[1\]](#1)</sup>
- Marital status
- Sex
- Sexual orientation or identity
- Native language
- Age
- (Dis)ability
- Mental illness
- Neuro(a)typicality
- Race and/or ethnicity
- Physical appearance
- A person's lifestyle choices or practices,
- A person's physical condition
- A person's mental condition
- Socioeconomic status
- Religion
- Employment
- Or anything really. Just don't be offensive towards people, insult them, or
  make unwanted comments.

is not acceptable. This includes deliberately referring to someone by a gender
that they do not identify with, and/or questioning the legitimacy of an
individual's gender identity. If you're unsure if a word is derogatory, don't
use it. This also includes repeated subtle and/or indirect discrimination; when
asked to stop, stop the behavior in question.

### Unwelcome Sexual Attention or Physical Contact

Unwelcome sexual attention or unwelcome physical contact is not acceptable. This
includes sexualized comments, jokes or imagery in interactions, communications
or presentation materials, as well as inappropriate touching, groping, or sexual
advances. Additionally, touching a person without permission, including
sensitive areas such as their hair, pregnant stomach, mobility device (
wheelchair, scooter, etc) or tattoos is unacceptable. This includes physically
blocking or intimidating another person. Physical contact or simulated physical
contact (e.g. emojis like ":&#8203;kiss:", ":hug:", or ":kiss_mark:", textual
descriptions like "\*hug\*", "\*backrub\*", or "\*kisses you\*", etc.) without
affirmative consent or after a request to stop will not be accepted.

### Sexual Behaviour Where it is Not Appropriate

Uninvited or off-topic sexual images, text, or behaviour in spaces where they're
not appropriate will not be accepted whatsoever. We are an open community, which
means spaces must be appropriate for all ages, and everybody must feel
comfortable. Discussion of sexual things, will be prohibited unless otherwise
noted.

### Discussion of Sensitive Topics

Discussion of sensitive topics when asked to stop, or when not appropriate.
Including, but not limited to:

- Anything sexual
- Gore
- Suicide
- Self harm
- Anything related to death
- Or really anything that someone may be sensitive about.

shall not be tolerated. As a community for all ages and all kinds of people, we
must cater to everyone, and must make sure everyone feels comfortable here.
Repeatedly breaking someone else's boundaries will not be tolerated.

### Disruptive Behavior

Sustained disruption of events, forums, or meetings, online or otherwise,
including talks and presentations, will not be tolerated. This includes:

- 'Talking over', 'heckling', or otherwise disrupting speakers.
- Making derogatory comments about someone else's choices, pushing people to do
  something they do not wish to do, talking about their choices or personal
  preferences to others, or pressuring them to do something they don't wish to -
  physically or through jeering.
- Behaviour that intentionally disrupts an event.
- Otherwise influencing actions that may cause hostility in the session.

### Influencing Unacceptable Behavior

We will treat influencing or leading such activities the same way we treat the
activities themselves, and thus the same consequences apply. To make someone do
something bad is the same thing as if you were to do it yourself, and we will
not tolerate it.

### Stalking or Following

Stalking or following in any form (offline or online) is unnacceptable. In
addition, you may not take pictures or record video of others without their
express permission or when asked to stop. Any individual may also request for
you to delete all footage you have of them, even if you took it with their prior
consent.

### Publication of Personal Information

The publication of personally identifying information (commonly known
as "[doxxing](https://en.wikipedia.org/wiki/Doxing)") is directly prohibited.
You may not publish information that someone wants to keep private, unless it is
necessary to protect vulnerable people from intentional abuse. Addditionally,
you may not deliberately "out" any aspect of a person's identity without their
consent, this includes gender, pronouns, sexual identity, etc.

Unless it pretains to a case of harassment, as outlined here, in which case some
personally identifying information may need to be brought up in private with the
appropriate moderation team to help aid our efforts in keeping the community
safe.

### Deliberate Misuse of Pronouns<sup>[\[1\]](#1)</sup> or Names

As an inclusive community, we must respect everyone. That means respecting the
pronouns or names they wish for us to use. Deliberate misgendering, misuse of
preferred pronouns<sup>[\[1\]](#1)</sup>, or use of 'dead' or rejected names is
not to be tolerated. (If someone
*accidentally* uses the incorrect pronouns, gender, or name, politely ask them
to use the correct pronouns/gender/name. But if they are to continue using the
incorrect pronouns, gender, or name, then you should escalate and report them to
us.)

### Not Stopping After Multiple Requests

If someone asks you to stop doing something, then you should stop. Continuing to
do it may be considered harassment, and can lead you to be removed from our
community.

## Complains We May Ignore

Additionally, Terra prioritizes marginalized people's safety over privileged
people's comfort. We reserve the right to ignore complaints regarding:

- Claims of discrimination against non-marginalized or oppressed groups (eg.
  being 'superphobic', meaning to not support people who are
  'superstraight', which is a dog whistle for transphobic groups, or being '
  cisphobic' without large amounts of evidence, etc.), or claims of
  discrimination with no evidence. (Basically, don't report 'cisphobia' to us,
  because it doesn't exist. But if someone is mocking you or making fun of you
  for being cis, and it is *really* getting out of hand, then do tell us.)
- Reasonable communication of boundaries, such as "leave me alone," "go away,"
  or "I'm not discussing this with you." (If someone is asking you to stop, that
  is not reason for you to report them as harassing you.)
- Communicating in a 'tone' you don't
  find [congenial](https://www.thefreedictionary.com/congenial). (You may not
  report someone for harassment for being 'annoyed with you' or 'talking sternly
  to you')
- Criticizing or calling out racist, sexist, discriminatory, or otherwise
  oppressive behavior or assumptions. (You may not say that someone is harassing
  you if they are telling you to stop discriminating against someone.)
- Disagreements that do not qualify as harassment. If you have a simple
  disagreement with someone, and they have not been discriminating to anyone, in
  any form, then we will not take action against them. Two people are allowed to
  disagree on things without it getting toxic.

We may also additionally choose to enact punishment for submitting a complaint
in bad-faith or without adequate justification, if we deem necessary; if you're
submitting a complaint just to troll or to annoy people, we may choose to have
you banned or removed from the community spaces. Don't waste our time.

In order to protect volunteers from abuse and burnout, we reserve the right to
reject any report we believe to have been made in bad faith or with misintent.
Reports intended to silence legitimate criticism may be deleted without
response.

## Reporting

Terra has a global moderation team which is currently comprised of the following
members:

- solonovamax
    - discord: [@solonovamax#6983](https://discord.com/channels/@me/566146322273402881)*
    - github: [@solonovamax](https://github.com/solonovamax)
    - email: [solonovamax@12oclockpoint.com](mailto:solonovamax@12oclockpoint.com)
- dfsek
    - discord: [@dfsek#4208](https://discord.com/channels/@me/378350362236682240)*
    - github: [@dfsek](https://github.com/dfsek)
    - email: [dfsek@protonmail.com](mailto:dfsek@protonmail.com)
- duplex (duplexsystem)
    - discord: [@Duplex#0797](https://discord.com/channels/@me/356822848641171456)*
    - github: [@duplexsystem](https://github.com/duplexsystem)
    - email: [duplexsys@protonmail.com](mailto:duplexsys@protonmail.com)

\* The preferred method of communication is through discord. Although we will
still be responsive on the other platforms, we will be more responsive on
discord.

These are people you can contact for anything regarding this code of conduct.

If you are being harassed by a member of the Terra community, or by someone in a
Terra community space, notice that someone else is being harassed, or have any
other concerns, please contact a moderator of the platform it occurred on, or
someone on the global moderation team. If the person who is harassing you is on
the global moderation team, they
will [recuse](https://www.thefreedictionary.com/recuse) themselves from handling
your incident. (Meaning: if you are reporting someone on the team, they will not
be involved in the discussion.) We will respond within a reasonable time frame,
but generally within about 1 day.

This code of conduct applies to Terra community spaces, but if you are being
harassed by a member of Terra *outside* our spaces, we still want to know about
it as we may choose to take action within our community. We will take all
good-faith reports seriously and will always attempt to handle them
appropriately. This includes harassment outside our spaces and harassment that
took place at any point in time. The moderation team reserves the right to
exclude people from Terra communities based on their past behavior, including
behavior outside Terra spaces and behavior towards people who are not in Terra.

Note: although we only have the ability to moderate official community spaces,
if you are being harassed by someone in a non-official community space, and the
moderation team of that platform refuses to do anything to help you (or even if
they *do* help you), then you should notify us so that we may take appropriate
action.

We will respect confidentiality requests for the purpose of protecting victims
of abuse. At our discretion, we may publicly name a person which we have
received harassment complaints about, or privately warn third parties about
them, but only if we believe that doing so will increase the safety of Terra
community members or the general public. We will not name harassment victims or
reporters of harassment
(assuming the report was made in good-faith) without their explicit consent; all
reports will remain anonymous by default.

## Consequences of Unacceptable Behavior

Participants asked to stop any harassing behavior are expected to comply
immediately. Whether or not you comply immediately, you may still face
consequences for you actions, but if the harasser doesn't comply immediately
then we may choose to take additional actions to protect the Terra community
members or the individual being harassed.

Violation of this code can result in being asked to leave an event or online
space, either temporarily or for the duration of the event, or being banned from
participation in spaces, or future events and activities in perpetuity. If a
participant engages in harassing behavior, the global moderation team may take
any action they deem appropriate, up to and including expulsion from all Terra
community spaces and identification of the participant as a harasser to other
Terra community members or the general public. Bad behavior from any community
member, including those with decision-making authority, will not be tolerated.

In addition, any participants who abuse the reporting process will be considered
to be in violation of these guidelines and subject to consequences. False
reporting, especially to retaliate or exclude, will not be accepted or
tolerated.

## Questions

if you have further questions for anything not addressed here, you may open an
issue on this github repo, or contact a member of the global moderation team.

## License and Attribution

This set of guidelines is distributed under a
[Creative Commons Attribution-ShareAlike license](https://creativecommons.org/licenses/by-sa/3.0/).

These guidelines have been adapted with modifications from the following sources:

- [Mozilla's Community Participation Guidelines](https://www.mozilla.org/en-US/about/governance/policies/participation/)
- The [Ubuntu Code of Conduct](https://ubuntu.com/community/code-of-conduct)
- Mozilla's [View Source Conference Code of Conduct](https://viewsourceconf.org/berlin-2016/code-of-conduct/)
- The [Rust Language Code of Conduct](https://www.rust-lang.org/policies/code-of-conduct)
- The [Stumptown Syndicate's Citizen Code of Conduct](http://citizencodeofconduct.org/)
- The [LGBTQ in Technology Code of Conduct](https://lgbtq.technology/coc.html)
- The [WisCon code of conduct](http://wiscon.net/policies/anti-harassment/code-of-conduct/)

## Notes

#### \[1\]

You provide a set of pronouns that everyone is comfortable addressing you with.
Although some people are comfortable
using [neopronouns](https://www.mypronouns.org/neopronouns), not everyone is.
Therefore, if you use neopronouns, you should have at *least*
one set of more common pronouns (One of he/him, she/her, or they/them; it
doesn't matter which one. Anyone who doesn't respect your basic pronouns will be
removed from the community.) that people may use, should they so choose, as some
people are not comfortable
using [neopronouns](https://www.mypronouns.org/neopronouns). But if someone
refuses to use your more common pronouns, you should report them to us.
Additionally, you may not ask people to use unreasonable pronouns, such as '
acab/acabself', 'that/bitch', 'ur/mom', or anything else that may be considered
disrectful. Doing so will be considered mockery of individuals who use
non-standard pronouns and is very disrespectful.